using System;

namespace SDG.UnitTesting.SimpleTalk
{
    public static class BusinessLayer
    {
        public static bool ValidateOrder(Order o)
        {
            if ((o.CustomerID > 0) && (o.OrderID > 0) && (o.OrderDate >= DateTime.Now))
                return true;

            return false;
        }
    }

    public class Order
    {
        private int _orderID;
        public int OrderID
        {
            get { return _orderID; }
            set { _orderID = value; }
        }

        private int _customerID;
        public int CustomerID
        {
            get { return _customerID; }
            set { _customerID = value; }
        }

        private DateTime _orderDate;
        public DateTime OrderDate
        {
            get { return _orderDate; }
            set { _orderDate = value; }
        }
    }
}
